curl https://api.rapidcall.ai/api/agents/g4d3cXIpDr/workflow \
-H "Authorization: Bearer YOUR_TOKEN"
{
"draft": {
"nodes": [
{
"id": "node_1",
"type": "greeting",
"data": { "message": "Hello! How can I help you today?" },
"position": { "x": 100, "y": 50 }
},
{
"id": "node_2",
"type": "question",
"data": { "question": "Are you calling about an existing order or a new inquiry?" },
"position": { "x": 100, "y": 200 }
}
],
"edges": [
{ "id": "edge_1", "source": "node_1", "target": "node_2" }
],
"updatedAt": "2026-04-01T10:00:00Z"
},
"published": null
}
Workflows
Get Workflow
Retrieve the current workflow graph for an agent
GET
/
api
/
agents
/
{id}
/
workflow
curl https://api.rapidcall.ai/api/agents/g4d3cXIpDr/workflow \
-H "Authorization: Bearer YOUR_TOKEN"
{
"draft": {
"nodes": [
{
"id": "node_1",
"type": "greeting",
"data": { "message": "Hello! How can I help you today?" },
"position": { "x": 100, "y": 50 }
},
{
"id": "node_2",
"type": "question",
"data": { "question": "Are you calling about an existing order or a new inquiry?" },
"position": { "x": 100, "y": 200 }
}
],
"edges": [
{ "id": "edge_1", "source": "node_1", "target": "node_2" }
],
"updatedAt": "2026-04-01T10:00:00Z"
},
"published": null
}
Retrieve the current workflow graph for an agent, including both the draft and published versions.
string
required
The agent ID.
curl https://api.rapidcall.ai/api/agents/g4d3cXIpDr/workflow \
-H "Authorization: Bearer YOUR_TOKEN"
{
"draft": {
"nodes": [
{
"id": "node_1",
"type": "greeting",
"data": { "message": "Hello! How can I help you today?" },
"position": { "x": 100, "y": 50 }
},
{
"id": "node_2",
"type": "question",
"data": { "question": "Are you calling about an existing order or a new inquiry?" },
"position": { "x": 100, "y": 200 }
}
],
"edges": [
{ "id": "edge_1", "source": "node_1", "target": "node_2" }
],
"updatedAt": "2026-04-01T10:00:00Z"
},
"published": null
}
